[PATCH] ci: Use libcap-ng

Dr. David Alan Gilbert (git) posted 1 patch 2 weeks ago
Test asan passed
Test checkpatch passed
Test FreeBSD passed
Test docker-mingw@fedora passed
Test docker-clang@ubuntu passed
Test docker-quick@centos7 passed
Patches applied successfully (tree, apply log)
git fetch https://github.com/patchew-project/qemu tags/patchew/20191129142126.32967-1-dgilbert@redhat.com
Maintainers: Thomas Huth <thuth@redhat.com>
.gitlab-ci.yml | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

[PATCH] ci: Use libcap-ng

Posted by Dr. David Alan Gilbert (git) 2 weeks ago
From: "Dr. David Alan Gilbert" <dgilbert@redhat.com>

We currently enable libcap-dev in build-clang to pick up the 9p proxy
helper.  Paolo's patch changes that to use libcap-ng, so switch to using
it.  This also means we'll be testing the scsi pr manager and the bridge
helper.

Signed-off-by: Dr. David Alan Gilbert <dgilbert@redhat.com>
---
 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index be57c6a454..62a9609798 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -59,7 +59,7 @@ build-user:
 
 build-clang:
  script:
- - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-dev
+ - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-ng-dev
       xfslibs-dev libiscsi-dev libnfs-dev libseccomp-dev gnutls-dev librbd-dev
  - ./configure --cc=clang --cxx=clang++ --enable-werror
       --target-list="alpha-softmmu arm-softmmu m68k-softmmu mips64-softmmu
-- 
2.23.0


Re: [PATCH] ci: Use libcap-ng

Posted by Philippe Mathieu-Daudé 2 weeks ago
On 11/29/19 3:21 PM, Dr. David Alan Gilbert (git) wrote:
> From: "Dr. David Alan Gilbert" <dgilbert@redhat.com>
> 
> We currently enable libcap-dev in build-clang to pick up the 9p proxy
> helper.  Paolo's patch changes that to use libcap-ng, so switch to using

It is not obvious you are referring to "virtfs-proxy-helper: switch from 
libcap to libcap-ng" he recently posted.

Since Greg is going to take Paolo's patch, I'd suggest he also takes 
this one, so he can update the commit description with either "the 
previous patch" or the commit sha1.

> it.  This also means we'll be testing the scsi pr manager and the bridge
> helper.

This is good news.

Reviewed-by: Philippe Mathieu-Daudé <philmd@redhat.com>

> Signed-off-by: Dr. David Alan Gilbert <dgilbert@redhat.com>
> ---
>   .gitlab-ci.yml | 2 +-
>   1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
> index be57c6a454..62a9609798 100644
> --- a/.gitlab-ci.yml
> +++ b/.gitlab-ci.yml
> @@ -59,7 +59,7 @@ build-user:
>   
>   build-clang:
>    script:
> - - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-dev
> + - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-ng-dev
>         xfslibs-dev libiscsi-dev libnfs-dev libseccomp-dev gnutls-dev librbd-dev
>    - ./configure --cc=clang --cxx=clang++ --enable-werror
>         --target-list="alpha-softmmu arm-softmmu m68k-softmmu mips64-softmmu
> 


Re: [PATCH] ci: Use libcap-ng

Posted by Greg Kurz 1 week ago
On Fri, 29 Nov 2019 16:51:29 +0100
Philippe Mathieu-Daudé <philmd@redhat.com> wrote:

> On 11/29/19 3:21 PM, Dr. David Alan Gilbert (git) wrote:
> > From: "Dr. David Alan Gilbert" <dgilbert@redhat.com>
> > 
> > We currently enable libcap-dev in build-clang to pick up the 9p proxy
> > helper.  Paolo's patch changes that to use libcap-ng, so switch to using
> 
> It is not obvious you are referring to "virtfs-proxy-helper: switch from 
> libcap to libcap-ng" he recently posted.
> 
> Since Greg is going to take Paolo's patch, I'd suggest he also takes 
> this one, so he can update the commit description with either "the 
> previous patch" or the commit sha1.
> 

I'm okay to take this one and to adapt the changelog if I get an ack from
Thomas.

> > it.  This also means we'll be testing the scsi pr manager and the bridge
> > helper.
> 
> This is good news.
> 
> Reviewed-by: Philippe Mathieu-Daudé <philmd@redhat.com>
> 
> > Signed-off-by: Dr. David Alan Gilbert <dgilbert@redhat.com>
> > ---
> >   .gitlab-ci.yml | 2 +-
> >   1 file changed, 1 insertion(+), 1 deletion(-)
> > 
> > diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
> > index be57c6a454..62a9609798 100644
> > --- a/.gitlab-ci.yml
> > +++ b/.gitlab-ci.yml
> > @@ -59,7 +59,7 @@ build-user:
> >   
> >   build-clang:
> >    script:
> > - - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-dev
> > + - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-ng-dev
> >         xfslibs-dev libiscsi-dev libnfs-dev libseccomp-dev gnutls-dev librbd-dev
> >    - ./configure --cc=clang --cxx=clang++ --enable-werror
> >         --target-list="alpha-softmmu arm-softmmu m68k-softmmu mips64-softmmu
> > 
> 


Re: [PATCH] ci: Use libcap-ng

Posted by Thomas Huth 1 week ago
On 02/12/2019 11.41, Greg Kurz wrote:
> On Fri, 29 Nov 2019 16:51:29 +0100
> Philippe Mathieu-Daudé <philmd@redhat.com> wrote:
> 
>> On 11/29/19 3:21 PM, Dr. David Alan Gilbert (git) wrote:
>>> From: "Dr. David Alan Gilbert" <dgilbert@redhat.com>
>>>
>>> We currently enable libcap-dev in build-clang to pick up the 9p proxy
>>> helper.  Paolo's patch changes that to use libcap-ng, so switch to using
>>
>> It is not obvious you are referring to "virtfs-proxy-helper: switch from 
>> libcap to libcap-ng" he recently posted.
>>
>> Since Greg is going to take Paolo's patch, I'd suggest he also takes 
>> this one, so he can update the commit description with either "the 
>> previous patch" or the commit sha1.
>>
> 
> I'm okay to take this one and to adapt the changelog if I get an ack from
> Thomas.

Feel free to recycle my Ack from here:

https://lists.gnu.org/archive/html/qemu-devel/2019-11/msg05178.html

 Cheers,
  Thomas


Re: [PATCH] ci: Use libcap-ng

Posted by Philippe Mathieu-Daudé 2 weeks ago
On 11/29/19 3:21 PM, Dr. David Alan Gilbert (git) wrote:
> From: "Dr. David Alan Gilbert" <dgilbert@redhat.com>
> 
> We currently enable libcap-dev in build-clang to pick up the 9p proxy
> helper.  Paolo's patch changes that to use libcap-ng, so switch to using

It is not obvious you are referring to "virtfs-proxy-helper: switch from 
libcap to libcap-ng" he recently posted.

Since Greg is going to take Paolo's patch, I'd suggest he also takes 
this one, so he can update the commit description with either "the 
previous patch" or the commit sha1.

> it.  This also means we'll be testing the scsi pr manager and the bridge
> helper.

This is good news.

Reviewed-by: Philippe Mathieu-Daudé <philmd@redhat.com>

> Signed-off-by: Dr. David Alan Gilbert <dgilbert@redhat.com>
> ---
>   .gitlab-ci.yml | 2 +-
>   1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
> index be57c6a454..62a9609798 100644
> --- a/.gitlab-ci.yml
> +++ b/.gitlab-ci.yml
> @@ -59,7 +59,7 @@ build-user:
>   
>   build-clang:
>    script:
> - - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-dev
> + - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-ng-dev
>         xfslibs-dev libiscsi-dev libnfs-dev libseccomp-dev gnutls-dev librbd-dev
>    - ./configure --cc=clang --cxx=clang++ --enable-werror
>         --target-list="alpha-softmmu arm-softmmu m68k-softmmu mips64-softmmu
> 


Re: [PATCH] ci: Use libcap-ng

Posted by Daniel P. Berrangé 2 weeks ago
On Fri, Nov 29, 2019 at 02:21:26PM +0000, Dr. David Alan Gilbert (git) wrote:
> From: "Dr. David Alan Gilbert" <dgilbert@redhat.com>
> 
> We currently enable libcap-dev in build-clang to pick up the 9p proxy
> helper.  Paolo's patch changes that to use libcap-ng, so switch to using
> it.  This also means we'll be testing the scsi pr manager and the bridge
> helper.
> 
> Signed-off-by: Dr. David Alan Gilbert <dgilbert@redhat.com>
> ---
>  .gitlab-ci.yml | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
> index be57c6a454..62a9609798 100644
> --- a/.gitlab-ci.yml
> +++ b/.gitlab-ci.yml
> @@ -59,7 +59,7 @@ build-user:
>  
>  build-clang:
>   script:
> - - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-dev
> + - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-ng-dev
>        xfslibs-dev libiscsi-dev libnfs-dev libseccomp-dev gnutls-dev librbd-dev
>   - ./configure --cc=clang --cxx=clang++ --enable-werror
>        --target-list="alpha-softmmu arm-softmmu m68k-softmmu mips64-softmmu

Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>


Regards,
Daniel
-- 
|: https://berrange.com      -o-    https://www.flickr.com/photos/dberrange :|
|: https://libvirt.org         -o-            https://fstop138.berrange.com :|
|: https://entangle-photo.org    -o-    https://www.instagram.com/dberrange :|


Re: [PATCH] ci: Use libcap-ng

Posted by Thomas Huth 2 weeks ago
On 29/11/2019 15.21, Dr. David Alan Gilbert (git) wrote:
> From: "Dr. David Alan Gilbert" <dgilbert@redhat.com>
> 
> We currently enable libcap-dev in build-clang to pick up the 9p proxy
> helper.  Paolo's patch changes that to use libcap-ng, so switch to using
> it.  This also means we'll be testing the scsi pr manager and the bridge
> helper.
> 
> Signed-off-by: Dr. David Alan Gilbert <dgilbert@redhat.com>
> ---
>  .gitlab-ci.yml | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
> index be57c6a454..62a9609798 100644
> --- a/.gitlab-ci.yml
> +++ b/.gitlab-ci.yml
> @@ -59,7 +59,7 @@ build-user:
>  
>  build-clang:
>   script:
> - - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-dev
> + - apt-get install -y -qq clang libsdl2-dev libattr1-dev libcap-ng-dev
>        xfslibs-dev libiscsi-dev libnfs-dev libseccomp-dev gnutls-dev librbd-dev
>   - ./configure --cc=clang --cxx=clang++ --enable-werror
>        --target-list="alpha-softmmu arm-softmmu m68k-softmmu mips64-softmmu

Acked-by: Thomas Huth <thuth@redhat.com>